| Home | Libraries | People | FAQ | More

## Struct template expression_function

boost::yap::expression_function

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr>
    struct expression_function {

      // public member functions
      template<typename... U> decltype(auto) operator()(U &&...);

      // public data members
      Expr expr;
    };

## Description

A callable type that evaluates its contained expression when called.

See Also:

`make_expression_function()`

### `expression_function` public member functions

1.     template<typename... U> decltype(auto) operator()(U &&... u);